/// <reference types="node" />
import { Channel, Connection } from 'amqplib';
import { Transporter, ListenOptions, CallBackFunction, PublishOptions } from 'typescript-microservice';
export declare class AmqpTransporter implements Transporter {
    private push_channel;
    private listen_connection;
    private listen_default_channel;
    constructor(push_channel: Channel, listen_connection: Connection, listen_default_channel: Channel);
    static init(url?: string): Promise<AmqpTransporter>;
    publish(topic: string, data: Buffer, options?: PublishOptions): Promise<void>;
    private getChannel;
    listen(topic: string, cb: CallBackFunction, options?: ListenOptions): Promise<string>;
}
